"use strict";
const index_1 = require("./index");
const util_1 = require("../util");
exports.anArrayContaining = (itemParser) => (x) => {
    if (util_1.isNil(x)) {
        throw new index_1.ParserError('Array', x);
    }
    if (Array.isArray(x)) {
        return x.map(itemParser);
    }
    throw new index_1.ParserError('Array', typeof x);
};
