"use strict";
const index_1 = require("./index");
const util_1 = require("../util");
exports.aDate = (x) => {
    if (util_1.isNil(x)) {
        throw new index_1.ParserError('date', x);
    }
    if (x instanceof Date) {
        return x;
    }
    if (typeof x === 'string') {
        const millis = Date.parse(x);
        if (!Number.isNaN(millis)) {
            return new Date(millis);
        }
    }
    throw new index_1.ParserError('date', typeof x);
};
exports.dates = exports.aDate;
